Index: /XIOS/trunk/xios_test_suite/TEST_SUITE/generate_new_reference.sh
===================================================================
--- /XIOS/trunk/xios_test_suite/TEST_SUITE/generate_new_reference.sh	(revision 1842)
+++ /XIOS/trunk/xios_test_suite/TEST_SUITE/generate_new_reference.sh	(revision 1842)
@@ -0,0 +1,36 @@
+#!/bin/bash
+revision=$(svn info --show-item revision ../ 2>&1)
+mkdir -p xios_reference
+for i in $(ls -d test_*)
+do
+  echo ${i%%}
+  mkdir -p xios_reference/${i%%}
+  for j in $(ls -d ${i%%}/config_*)
+  do
+    echo ${j%%}
+    mkdir -p xios_reference/${j%%}
+    DIR=${j%%}/tmp_reference
+    if [ -d "$DIR" ]; then
+      mv ${j%%}/tmp_reference ${j%%}/reference  
+    fi
+
+    cp -r ${j%%}/reference xios_reference/${j%%}
+    cp -r ${j%%}/setup xios_reference/${j%%}
+  done
+
+done
+
+cp -r ../ENV ./
+cp ../load_env ./
+source ./load_env
+#echo "xios_reference_dir" ${xios_reference_dir}
+
+mkdir -p ${xios_reference_dir}/xios_reference_archive
+mkdir -p ${xios_reference_dir}/xios_reference_archive/$(( ${revision}-1 ))
+mv ${xios_reference_dir}/xios_reference.tar.gz ${xios_reference_dir}/xios_reference_archive/$(( ${revision}-1 ))/
+
+tar -zcvf ${xios_reference_dir}/xios_reference.tar.gz xios_reference/
+rm -rf xios_reference
+
+rm -rf ENV
+rm -f load_env
Index: /XIOS/trunk/xios_test_suite/TEST_SUITE/generate_new_reference_irene_local.sh
===================================================================
--- /XIOS/trunk/xios_test_suite/TEST_SUITE/generate_new_reference_irene_local.sh	(revision 1842)
+++ /XIOS/trunk/xios_test_suite/TEST_SUITE/generate_new_reference_irene_local.sh	(revision 1842)
@@ -0,0 +1,29 @@
+#!/bin/bash
+revision=$(svn info --show-item revision ../ 2>&1)
+mkdir -p xios_reference
+for i in $(ls -d test_*)
+do
+  echo ${i%%}
+  mkdir -p xios_reference/${i%%}
+  for j in $(ls -d ${i%%}/config_*)
+  do
+    echo ${j%%}
+    mkdir -p xios_reference/${j%%}
+    DIR=${j%%}/tmp_reference
+    if [ -d "$DIR" ]; then
+      mv ${j%%}/tmp_reference ${j%%}/reference  
+    fi
+
+    cp -r ${j%%}/reference xios_reference/${j%%}
+    cp -r ${j%%}/setup xios_reference/${j%%}
+  done
+
+done
+
+
+mkdir -p ${CCCWORKDIR}/xios_reference_archive
+mkdir -p ${CCCWORKDIR}/xios_reference_archive/$(( ${revision}-1 ))
+mv ${CCCWORKDIR}/xios_reference.tar.gz ${CCCWORKDIR}/xios_reference_archive/$(( ${revision}-1 ))/
+
+tar -zcvf ${CCCWORKDIR}/xios_reference.tar.gz xios_reference/
+rm -rf xios_reference
Index: /XIOS/trunk/xios_test_suite/TEST_SUITE/generate_new_reference_jeanzay_local.sh
===================================================================
--- /XIOS/trunk/xios_test_suite/TEST_SUITE/generate_new_reference_jeanzay_local.sh	(revision 1842)
+++ /XIOS/trunk/xios_test_suite/TEST_SUITE/generate_new_reference_jeanzay_local.sh	(revision 1842)
@@ -0,0 +1,29 @@
+#!/bin/bash
+revision=$(svn info --show-item revision ../ 2>&1)
+mkdir -p xios_reference
+for i in $(ls -d test_*)
+do
+  echo ${i%%}
+  mkdir -p xios_reference/${i%%}
+  for j in $(ls -d ${i%%}/config_*)
+  do
+    echo ${j%%}
+    mkdir -p xios_reference/${j%%}
+    DIR=${j%%}/tmp_reference
+    if [ -d "$DIR" ]; then
+      mv ${j%%}/tmp_reference ${j%%}/reference  
+    fi
+
+    cp -r ${j%%}/reference xios_reference/${j%%}
+    cp -r ${j%%}/setup xios_reference/${j%%}
+  done
+
+done
+
+
+mkdir -p ${WORK}/xios_reference_archive
+mkdir -p ${WORK}/xios_reference_archive/$(( ${revision}-1 ))
+mv ${WORK}/xios_reference.tar.gz ${WORK}/xios_reference_archive/$(( ${revision}-1 ))/
+
+tar -zcvf ${WORK}/xios_reference.tar.gz xios_reference/
+rm -rf xios_reference
Index: OS/trunk/xios_test_suite/TEST_SUITE/generate_reference.sh
===================================================================
--- /XIOS/trunk/xios_test_suite/TEST_SUITE/generate_reference.sh	(revision 1841)
+++ 	(revision )
@@ -1,29 +1,0 @@
-#!/bin/bash
-revision=$(svn info --show-item revision ../ 2>&1)
-mkdir -p xios_reference
-for i in $(ls -d test_*)
-do
-  echo ${i%%}
-  mkdir -p xios_reference/${i%%}
-  for j in $(ls -d ${i%%}/config_*)
-  do
-    echo ${j%%}
-    mkdir -p xios_reference/${j%%}
-    DIR=${j%%}/tmp_reference
-    if [ -d "$DIR" ]; then
-      mv ${j%%}/tmp_reference ${j%%}/reference  
-    fi
-
-    cp -r ${j%%}/reference xios_reference/${j%%}
-    cp -r ${j%%}/setup xios_reference/${j%%}
-  done
-
-done
-
-
-mkdir -p ${WORK}/xios_reference_archive
-mkdir -p ${WORK}/xios_reference_archive/$(( ${revision}-1 ))
-mv ${WORK}/xios_reference.tar.gz ${WORK}/xios_reference_archive/$(( ${revision}-1 ))/
-
-tar -zcvf ${WORK}/xios_reference.tar.gz xios_reference/
-rm -rf xios_reference