Index: /XIOS/trunk/src/node/axis.cpp
===================================================================
--- /XIOS/trunk/src/node/axis.cpp	(revision 1851)
+++ /XIOS/trunk/src/node/axis.cpp	(revision 1852)
@@ -59,4 +59,6 @@
      m["temporal_splitting"] = TRANS_TEMPORAL_SPLITTING;
      m["duplicate_scalar"] = TRANS_DUPLICATE_SCALAR_TO_AXIS;
+
+     return true ;
 
    }
Index: /XIOS/trunk/src/node/compute_connectivity_domain.cpp
===================================================================
--- /XIOS/trunk/src/node/compute_connectivity_domain.cpp	(revision 1851)
+++ /XIOS/trunk/src/node/compute_connectivity_domain.cpp	(revision 1852)
@@ -27,5 +27,5 @@
   bool CComputeConnectivityDomain::registerTrans()
   {
-    registerTransformation(TRANS_COMPUTE_CONNECTIVITY_DOMAIN, CComputeConnectivityDomain::create);
+    return registerTransformation(TRANS_COMPUTE_CONNECTIVITY_DOMAIN, CComputeConnectivityDomain::create);
   }
 
Index: /XIOS/trunk/src/node/domain.cpp
===================================================================
--- /XIOS/trunk/src/node/domain.cpp	(revision 1851)
+++ /XIOS/trunk/src/node/domain.cpp	(revision 1852)
@@ -85,4 +85,6 @@
      m["reorder_domain"] = TRANS_REORDER_DOMAIN;
      m["extract_domain"] = TRANS_EXTRACT_DOMAIN;
+
+     return true ;
    }
    CATCH
Index: /XIOS/trunk/src/node/expand_domain.cpp
===================================================================
--- /XIOS/trunk/src/node/expand_domain.cpp	(revision 1851)
+++ /XIOS/trunk/src/node/expand_domain.cpp	(revision 1852)
@@ -27,5 +27,5 @@
   bool CExpandDomain::registerTrans()
   {
-    registerTransformation(TRANS_EXPAND_DOMAIN, CExpandDomain::create);
+    return registerTransformation(TRANS_EXPAND_DOMAIN, CExpandDomain::create);
   }
 
Index: /XIOS/trunk/src/node/extract_domain.cpp
===================================================================
--- /XIOS/trunk/src/node/extract_domain.cpp	(revision 1851)
+++ /XIOS/trunk/src/node/extract_domain.cpp	(revision 1852)
@@ -27,5 +27,5 @@
   bool CExtractDomain::registerTrans()
   {
-    registerTransformation(TRANS_EXTRACT_DOMAIN, CExtractDomain::create);
+    return registerTransformation(TRANS_EXTRACT_DOMAIN, CExtractDomain::create);
   }
 
Index: /XIOS/trunk/src/node/generate_rectilinear_domain.cpp
===================================================================
--- /XIOS/trunk/src/node/generate_rectilinear_domain.cpp	(revision 1851)
+++ /XIOS/trunk/src/node/generate_rectilinear_domain.cpp	(revision 1852)
@@ -27,5 +27,5 @@
   bool CGenerateRectilinearDomain::registerTrans()
   {
-    registerTransformation(TRANS_GENERATE_RECTILINEAR_DOMAIN, create);
+    return registerTransformation(TRANS_GENERATE_RECTILINEAR_DOMAIN, create);
   }
 
Index: /XIOS/trunk/src/node/interpolate_domain.cpp
===================================================================
--- /XIOS/trunk/src/node/interpolate_domain.cpp	(revision 1851)
+++ /XIOS/trunk/src/node/interpolate_domain.cpp	(revision 1852)
@@ -27,5 +27,5 @@
   bool CInterpolateDomain::registerTrans()
   {
-    registerTransformation(TRANS_INTERPOLATE_DOMAIN, create);
+    return registerTransformation(TRANS_INTERPOLATE_DOMAIN, create);
   }
 
Index: /XIOS/trunk/src/node/reorder_domain.cpp
===================================================================
--- /XIOS/trunk/src/node/reorder_domain.cpp	(revision 1851)
+++ /XIOS/trunk/src/node/reorder_domain.cpp	(revision 1852)
@@ -27,5 +27,5 @@
   bool CReorderDomain::registerTrans()
   {
-    registerTransformation(TRANS_REORDER_DOMAIN, CReorderDomain::create);
+    return registerTransformation(TRANS_REORDER_DOMAIN, CReorderDomain::create);
   }
 
Index: /XIOS/trunk/src/node/scalar.cpp
===================================================================
--- /XIOS/trunk/src/node/scalar.cpp	(revision 1851)
+++ /XIOS/trunk/src/node/scalar.cpp	(revision 1852)
@@ -35,4 +35,6 @@
      m["reduce_domain"] = TRANS_REDUCE_DOMAIN_TO_SCALAR;
      m["reduce_scalar"] = TRANS_REDUCE_SCALAR_TO_SCALAR;
+
+     return true ;
    }
 
Index: /XIOS/trunk/src/node/zoom_domain.cpp
===================================================================
--- /XIOS/trunk/src/node/zoom_domain.cpp	(revision 1851)
+++ /XIOS/trunk/src/node/zoom_domain.cpp	(revision 1852)
@@ -27,5 +27,5 @@
   bool CZoomDomain::registerTrans()
   {
-    registerTransformation(TRANS_ZOOM_DOMAIN, CZoomDomain::create);
+    return registerTransformation(TRANS_ZOOM_DOMAIN, CZoomDomain::create);
   }
 
Index: /XIOS/trunk/src/server_distribution_description.cpp
===================================================================
--- /XIOS/trunk/src/server_distribution_description.cpp	(revision 1851)
+++ /XIOS/trunk/src/server_distribution_description.cpp	(revision 1852)
@@ -40,4 +40,5 @@
       break;
   } 
+  return -1 ;
 }
 
Index: /XIOS/trunk/src/transformation/Functions/reduction.cpp
===================================================================
--- /XIOS/trunk/src/transformation/Functions/reduction.cpp	(revision 1851)
+++ /XIOS/trunk/src/transformation/Functions/reduction.cpp	(revision 1852)
@@ -27,4 +27,6 @@
   m["average"] = TRANS_REDUCE_AVERAGE;
   CAverageReductionAlgorithm::registerTrans();
+
+  return true;
 }
 
Index: /XIOS/trunk/src/transformation/axis_algorithm_duplicate_scalar.cpp
===================================================================
--- /XIOS/trunk/src/transformation/axis_algorithm_duplicate_scalar.cpp	(revision 1851)
+++ /XIOS/trunk/src/transformation/axis_algorithm_duplicate_scalar.cpp	(revision 1852)
@@ -37,5 +37,5 @@
 TRY
 {
-  CGridTransformationFactory<CAxis>::registerTransformation(TRANS_DUPLICATE_SCALAR_TO_AXIS, create);
+  return CGridTransformationFactory<CAxis>::registerTransformation(TRANS_DUPLICATE_SCALAR_TO_AXIS, create);
 }
 CATCH
Index: /XIOS/trunk/src/transformation/axis_algorithm_extract.cpp
===================================================================
--- /XIOS/trunk/src/transformation/axis_algorithm_extract.cpp	(revision 1851)
+++ /XIOS/trunk/src/transformation/axis_algorithm_extract.cpp	(revision 1852)
@@ -35,5 +35,5 @@
 TRY
 {
-  CGridTransformationFactory<CAxis>::registerTransformation(TRANS_EXTRACT_AXIS, create);
+  return CGridTransformationFactory<CAxis>::registerTransformation(TRANS_EXTRACT_AXIS, create);
 }
 CATCH
Index: /XIOS/trunk/src/transformation/axis_algorithm_extract_domain.cpp
===================================================================
--- /XIOS/trunk/src/transformation/axis_algorithm_extract_domain.cpp	(revision 1851)
+++ /XIOS/trunk/src/transformation/axis_algorithm_extract_domain.cpp	(revision 1852)
@@ -42,5 +42,5 @@
 TRY
 {
-  CGridTransformationFactory<CAxis>::registerTransformation(TRANS_EXTRACT_DOMAIN_TO_AXIS, create);
+  return CGridTransformationFactory<CAxis>::registerTransformation(TRANS_EXTRACT_DOMAIN_TO_AXIS, create);
 }
 CATCH
Index: /XIOS/trunk/src/transformation/axis_algorithm_interpolate.cpp
===================================================================
--- /XIOS/trunk/src/transformation/axis_algorithm_interpolate.cpp	(revision 1851)
+++ /XIOS/trunk/src/transformation/axis_algorithm_interpolate.cpp	(revision 1852)
@@ -45,5 +45,5 @@
 TRY
 {
-  CGridTransformationFactory<CAxis>::registerTransformation(TRANS_INTERPOLATE_AXIS, create);
+  return CGridTransformationFactory<CAxis>::registerTransformation(TRANS_INTERPOLATE_AXIS, create);
 }
 CATCH
Index: /XIOS/trunk/src/transformation/axis_algorithm_inverse.cpp
===================================================================
--- /XIOS/trunk/src/transformation/axis_algorithm_inverse.cpp	(revision 1851)
+++ /XIOS/trunk/src/transformation/axis_algorithm_inverse.cpp	(revision 1852)
@@ -43,5 +43,5 @@
 TRY
 {
-  CGridTransformationFactory<CAxis>::registerTransformation(TRANS_INVERSE_AXIS, create);
+  return CGridTransformationFactory<CAxis>::registerTransformation(TRANS_INVERSE_AXIS, create);
 }
 CATCH
Index: /XIOS/trunk/src/transformation/axis_algorithm_reduce_axis.cpp
===================================================================
--- /XIOS/trunk/src/transformation/axis_algorithm_reduce_axis.cpp	(revision 1851)
+++ /XIOS/trunk/src/transformation/axis_algorithm_reduce_axis.cpp	(revision 1852)
@@ -40,5 +40,5 @@
 TRY
 {
-  CGridTransformationFactory<CAxis>::registerTransformation(TRANS_REDUCE_AXIS_TO_AXIS, create);
+  return CGridTransformationFactory<CAxis>::registerTransformation(TRANS_REDUCE_AXIS_TO_AXIS, create);
 }
 CATCH
Index: /XIOS/trunk/src/transformation/axis_algorithm_reduce_domain.cpp
===================================================================
--- /XIOS/trunk/src/transformation/axis_algorithm_reduce_domain.cpp	(revision 1851)
+++ /XIOS/trunk/src/transformation/axis_algorithm_reduce_domain.cpp	(revision 1852)
@@ -41,5 +41,5 @@
 TRY
 {
-  CGridTransformationFactory<CAxis>::registerTransformation(TRANS_REDUCE_DOMAIN_TO_AXIS, create);
+  return CGridTransformationFactory<CAxis>::registerTransformation(TRANS_REDUCE_DOMAIN_TO_AXIS, create);
 }
 CATCH
Index: /XIOS/trunk/src/transformation/axis_algorithm_temporal_splitting.cpp
===================================================================
--- /XIOS/trunk/src/transformation/axis_algorithm_temporal_splitting.cpp	(revision 1851)
+++ /XIOS/trunk/src/transformation/axis_algorithm_temporal_splitting.cpp	(revision 1852)
@@ -37,5 +37,5 @@
 TRY
 {
-  CGridTransformationFactory<CAxis>::registerTransformation(TRANS_TEMPORAL_SPLITTING, create);
+  return CGridTransformationFactory<CAxis>::registerTransformation(TRANS_TEMPORAL_SPLITTING, create);
 }
 CATCH
Index: /XIOS/trunk/src/transformation/axis_algorithm_zoom.cpp
===================================================================
--- /XIOS/trunk/src/transformation/axis_algorithm_zoom.cpp	(revision 1851)
+++ /XIOS/trunk/src/transformation/axis_algorithm_zoom.cpp	(revision 1852)
@@ -35,5 +35,5 @@
 TRY
 {
-  CGridTransformationFactory<CAxis>::registerTransformation(TRANS_ZOOM_AXIS, create);
+  return CGridTransformationFactory<CAxis>::registerTransformation(TRANS_ZOOM_AXIS, create);
 }
 CATCH
Index: /XIOS/trunk/src/transformation/domain_algorithm_compute_connectivity.cpp
===================================================================
--- /XIOS/trunk/src/transformation/domain_algorithm_compute_connectivity.cpp	(revision 1851)
+++ /XIOS/trunk/src/transformation/domain_algorithm_compute_connectivity.cpp	(revision 1852)
@@ -40,5 +40,5 @@
 TRY
 {
-  CGridTransformationFactory<CDomain>::registerTransformation(TRANS_COMPUTE_CONNECTIVITY_DOMAIN, create);
+  return CGridTransformationFactory<CDomain>::registerTransformation(TRANS_COMPUTE_CONNECTIVITY_DOMAIN, create);
 }
 CATCH
Index: /XIOS/trunk/src/transformation/domain_algorithm_expand.cpp
===================================================================
--- /XIOS/trunk/src/transformation/domain_algorithm_expand.cpp	(revision 1851)
+++ /XIOS/trunk/src/transformation/domain_algorithm_expand.cpp	(revision 1852)
@@ -42,5 +42,5 @@
 TRY
 {
-  CGridTransformationFactory<CDomain>::registerTransformation(TRANS_EXPAND_DOMAIN, create);
+  return CGridTransformationFactory<CDomain>::registerTransformation(TRANS_EXPAND_DOMAIN, create);
 }
 CATCH
Index: /XIOS/trunk/src/transformation/domain_algorithm_extract.cpp
===================================================================
--- /XIOS/trunk/src/transformation/domain_algorithm_extract.cpp	(revision 1851)
+++ /XIOS/trunk/src/transformation/domain_algorithm_extract.cpp	(revision 1852)
@@ -32,5 +32,5 @@
 TRY
 {
-  CGridTransformationFactory<CDomain>::registerTransformation(TRANS_EXTRACT_DOMAIN, create);
+  return CGridTransformationFactory<CDomain>::registerTransformation(TRANS_EXTRACT_DOMAIN, create);
 }
 CATCH
Index: /XIOS/trunk/src/transformation/domain_algorithm_interpolate.cpp
===================================================================
--- /XIOS/trunk/src/transformation/domain_algorithm_interpolate.cpp	(revision 1851)
+++ /XIOS/trunk/src/transformation/domain_algorithm_interpolate.cpp	(revision 1852)
@@ -47,5 +47,5 @@
 TRY
 {
-  CGridTransformationFactory<CDomain>::registerTransformation(TRANS_INTERPOLATE_DOMAIN, create);
+  return CGridTransformationFactory<CDomain>::registerTransformation(TRANS_INTERPOLATE_DOMAIN, create);
 }
 CATCH
Index: /XIOS/trunk/src/transformation/domain_algorithm_reorder.cpp
===================================================================
--- /XIOS/trunk/src/transformation/domain_algorithm_reorder.cpp	(revision 1851)
+++ /XIOS/trunk/src/transformation/domain_algorithm_reorder.cpp	(revision 1852)
@@ -35,5 +35,5 @@
 TRY
 {
-  CGridTransformationFactory<CDomain>::registerTransformation(TRANS_REORDER_DOMAIN, create);
+  return CGridTransformationFactory<CDomain>::registerTransformation(TRANS_REORDER_DOMAIN, create);
 }
 CATCH
Index: /XIOS/trunk/src/transformation/domain_algorithm_zoom.cpp
===================================================================
--- /XIOS/trunk/src/transformation/domain_algorithm_zoom.cpp	(revision 1851)
+++ /XIOS/trunk/src/transformation/domain_algorithm_zoom.cpp	(revision 1852)
@@ -32,5 +32,5 @@
 TRY
 {
-  CGridTransformationFactory<CDomain>::registerTransformation(TRANS_ZOOM_DOMAIN, create);
+  return CGridTransformationFactory<CDomain>::registerTransformation(TRANS_ZOOM_DOMAIN, create);
 }
 CATCH
Index: /XIOS/trunk/src/transformation/scalar_algorithm_extract_axis.cpp
===================================================================
--- /XIOS/trunk/src/transformation/scalar_algorithm_extract_axis.cpp	(revision 1851)
+++ /XIOS/trunk/src/transformation/scalar_algorithm_extract_axis.cpp	(revision 1852)
@@ -42,5 +42,5 @@
 TRY
 {
-  CGridTransformationFactory<CScalar>::registerTransformation(TRANS_EXTRACT_AXIS_TO_SCALAR, create);
+  return CGridTransformationFactory<CScalar>::registerTransformation(TRANS_EXTRACT_AXIS_TO_SCALAR, create);
 }
 CATCH
Index: /XIOS/trunk/src/transformation/scalar_algorithm_reduce_axis.cpp
===================================================================
--- /XIOS/trunk/src/transformation/scalar_algorithm_reduce_axis.cpp	(revision 1851)
+++ /XIOS/trunk/src/transformation/scalar_algorithm_reduce_axis.cpp	(revision 1852)
@@ -42,5 +42,5 @@
 TRY
 {
-  CGridTransformationFactory<CScalar>::registerTransformation(TRANS_REDUCE_AXIS_TO_SCALAR, create);
+  return CGridTransformationFactory<CScalar>::registerTransformation(TRANS_REDUCE_AXIS_TO_SCALAR, create);
 }
 CATCH
Index: /XIOS/trunk/src/transformation/scalar_algorithm_reduce_domain.cpp
===================================================================
--- /XIOS/trunk/src/transformation/scalar_algorithm_reduce_domain.cpp	(revision 1851)
+++ /XIOS/trunk/src/transformation/scalar_algorithm_reduce_domain.cpp	(revision 1852)
@@ -42,5 +42,5 @@
 TRY
 {
-  CGridTransformationFactory<CScalar>::registerTransformation(TRANS_REDUCE_DOMAIN_TO_SCALAR, create);
+  return CGridTransformationFactory<CScalar>::registerTransformation(TRANS_REDUCE_DOMAIN_TO_SCALAR, create);
 }
 CATCH
Index: /XIOS/trunk/src/transformation/scalar_algorithm_reduce_scalar.cpp
===================================================================
--- /XIOS/trunk/src/transformation/scalar_algorithm_reduce_scalar.cpp	(revision 1851)
+++ /XIOS/trunk/src/transformation/scalar_algorithm_reduce_scalar.cpp	(revision 1852)
@@ -38,5 +38,5 @@
 TRY
 {
-  CGridTransformationFactory<CScalar>::registerTransformation(TRANS_REDUCE_SCALAR_TO_SCALAR, create);
+  return CGridTransformationFactory<CScalar>::registerTransformation(TRANS_REDUCE_SCALAR_TO_SCALAR, create);
 }
 CATCH