Index: OS/trunk/xios_test_suite/TEST_SUITE/check.py
===================================================================
--- /XIOS/trunk/xios_test_suite/TEST_SUITE/check.py	(revision 1905)
+++ 	(revision )
@@ -1,164 +1,0 @@
-import os
-import sys
-import subprocess
-import socket
-import os.path
-from os import path
-
-
-# from default_param import *
-# from user_param import *     
-from param_list import *
-
-# load default_param first, variables defines in user_param will overwrite the default value 
-
-
-
-def OSinfo(runthis):
-	red = lambda text: '\033[0;31m' + text + '\033[0m'
-	osstdout = subprocess.Popen(runthis, shell=True, stdin=subprocess.PIPE, stdout=subprocess.PIPE, stderr=subprocess.STDOUT, close_fds=True)
-	theInfo = osstdout.communicate()[0].strip()
-	if osstdout.returncode!=0:
-		print(red(runthis+" FAILED"))
-		print >> sys.stderr, osstdout.returncode
-		sys.exit()
-	# else:
-		# print(runthis+" OK")
-
-
-
-blue = lambda text: '\033[0;34m' + text + '\033[0m'
-yellow = lambda text: '\033[0;33m' + text + '\033[0m'
-green = lambda text: '\033[0;32m' + text + '\033[0m'
-# blue = lambda text: text
-# yellow = lambda text: text
-# green = lambda text: text
-
-def main():
-
-	defaultConfig = True
-	configNamePattern=[]
-	for i in range(len(param_list)):
-		f=open("user_param.py", "r")
-		for line in f:
-			line = line.strip().replace(" ","")
-			if line.startswith(param_list[i]):
-				configNamePattern.append('_'+param_short_list[i]+"="+line.split("=")[1].replace("'",""))
-				defaultConfig = False
-	
-	f.close()
-    
-	configName = "config"
-	
-	for i in range(len(configNamePattern)):
-		configName = configName+configNamePattern[i]
-
-	checkfile = "checkfile.def"
-
-	f=open(checkfile, "r")
-	for line in f:
-		line = line.strip()
-		line = line.rstrip()
-		if line.startswith("all"):
-			allfiles = os.listdir(os.getcwd())
-			g=open("checkfile_new.def", "w")
-			for thisfile in allfiles:
-				if thisfile.endswith(".nc") and thisfile != "dynamico_grid.nc":
-					g.write(thisfile+"\n")
-					checkfile = "checkfile_new.def"
-			g.close()
-			break
-	f.close()
-
-	if not os.path.exists(configName):
-		OSinfo("mkdir -p "+configName)
-
-		print(blue("\n    ****************************************************************"))
-		print(blue("    * Directory " + repr(configName) + " Created "))
-		print(blue("    * Copy results to \'not_validated_reference\' folder"))
-		print(blue("    ****************************************************************\n"))
-
-		OSinfo("mkdir -p "+configName+"/setup")
-		OSinfo("mkdir -p "+configName+"/tmp_reference")
-
-		OSinfo("cp user_param.py user_param.def")
-		OSinfo("cp user_param.py "+configName+"/setup")
-		OSinfo("mv user_param.def "+configName+"/setup")
-
-		OSinfo("cp default_param.json "+configName+"/setup")
-		
-		OSinfo("mv all_param.def "+configName+"/setup")
-		OSinfo("mv iodef.xml "+configName+"/setup/")
-		OSinfo("cp context_atm.xml "+configName+"/setup/")
-		OSinfo("cp context_grid_dynamico.xml "+configName+"/setup/")
-
-
-		f=open(checkfile, "r")
-		reportfile = open("../plain_report.txt", "a+")
-		for line in f:
-			line = line.strip()
-			line = line.rstrip()
-			if not line.startswith("#") and len(line) != 0:
-				OSinfo("cp "+line+" "+configName+"/tmp_reference")
-				reportfile.write(os.path.basename(os.getcwd())+" "+os.path.basename(os.getcwd())[5:]+"@"+configName+" "+os.path.basename(os.getcwd())[5:]+"@"+configName[7:]+"@"+line+" "+repr(0)+" \n")
-				print(yellow("\n        ****************************************"))
-				print(yellow("        ** "+line+" is stored as temporal reference !!! **"))
-				print(yellow("\n        ****************************************"))
-		f.close()
-		reportfile.close()
-
-	else:
-		print(blue("\n    ****************************************************************"))
-		print(blue("    * Directory " + repr(configName) + " already exists "))
-
-		tmp_ref = os.path.isdir(configName+'/tmp_reference')
-		ref = os.path.isdir(configName+'/reference') and not tmp_ref
-		
-		if tmp_ref : 
-			print(blue("    * Start comparing results with NON-validated references"))
-			path = configName+"/tmp_reference"
-		if ref : 
-			print(blue("    * Start comparing results with validated references"))
-			path = configName+"reference"
-		
-		OSinfo('cp '+configName+'/setup/user_param.py '+configName+'/setup/user_param.def ')
-		print(blue("    ****************************************************************\n"))
-
-		f=open(checkfile, "r")
-		reportfile = open("../plain_report.txt", "a+")
-		for line in f:
-			line = line.strip()
-			line = line.rstrip()
-			if not line.startswith("#") and len(line) != 0:
-				OSinfo("cdo -W diffn "+line+" "+path+line+" | > diff.txt")
-				# this command should change according to cdo version
-
-				if os.stat("diff.txt").st_size==0:
-					reportfile.write(os.path.basename(os.getcwd())+" "+os.path.basename(os.getcwd())[5:]+"@"+configName+" "+os.path.basename(os.getcwd())[5:]+"@"+configName[7:]+"@"+line+" "+repr(1)+" \n")
-					print(green("\n        ****************************************"))
-					print(green("        ** "+line+" is valid !!! **"))
-					print(green("\n        ****************************************"))
-				else:
-					g=open("diff.txt", "r")
-					for gline in g:
-						if gline.strip().startswith("0") or ":" in gline:
-							reportfile.write(os.path.basename(os.getcwd())+" "+os.path.basename(os.getcwd())[5:]+"@"+configName+" "+os.path.basename(os.getcwd())[5:]+"@"+configName[7:]+"@"+line+" "+repr(1)+" \n")
-							print(green("\n        ****************************************"))
-							print(green("        ** "+line+" is valid !!! **"))
-							print(green("\n        ****************************************"))
-						else:
-							reportfile.write(os.path.basename(os.getcwd())+" "+os.path.basename(os.getcwd())[5:]+"@"+configName+" "+os.path.basename(os.getcwd())[5:]+"@"+configName[7:]+"@"+line+" "+repr(-1)+" \n")
-							print(green("\n        ****************************************"))
-							print(green("        ** "+line+" is NOT valid. Please debugging.. **"))
-							print(green("\n        ****************************************"))
-					g.close()
-		f.close()
-		reportfile.close()
-
-	if os.path.exists("checkfile_new.def"):
-		OSinfo("rm -f checkfile_new.def")
-
-
-
-if __name__== "__main__":
-  main()
Index: OS/trunk/xios_test_suite/TEST_SUITE/config.py
===================================================================
--- /XIOS/trunk/xios_test_suite/TEST_SUITE/config.py	(revision 1905)
+++ 	(revision )
@@ -1,51 +1,0 @@
-import os
-import sys
-
-from default_param import *
-from user_param import *
-from param_list import *
-
-def main():
-	
-	f=open("param.def", "w")
-
-	f.write("&params_run\n")
-	f.write('nb_proc_atm = ' + repr(NumberClients) + '\n')
-	f.write('duration = ' + repr(Duration) + '\n')
-	f.write('/\n\n')
-
-	f.close()
-
-
-	f=open("all_param.def", "w")
-
-	f.write("&params_run\n")
-	for i in range(len(param_list)):
-		f.write(param_list[i]+" = "+repr(eval(param_list[i]))+ "\n")
-	f.write('/\n\n')
-
-	f.close()
-
-
-	nb_proc = NumberClients+NumberServers
-
-	filein = open("../iodef.xml.template", "r")
-	fileout = open("iodef.xml", "w") #this iodef.xml has defined variables, it is not the template
-	for line in filein:
-		if 'xios::nbplSrv2' in line:	line = line.replace("xios::nbplSrv2", repr(NumberPoolsServer2))
-		if 'xios::usingSrv2' in line:	line = line.replace("xios::usingSrv2", UsingServer2)
-		if 'xios::ratioSrv2' in line:	line=line.replace("xios::ratioSrv2", repr(RatioServer2))
-		if 'atm::domain' in line:	line=line.replace("atm::domain", ATMdomain)
-		fileout.write(line)
-		
-
-	filein.close()
-	fileout.close()
-
-
-	print >>sys.stderr, nb_proc
-
-
-
-if __name__== "__main__":
-  main()
Index: /XIOS/trunk/xios_test_suite/TEST_SUITE/default_param.json
===================================================================
--- /XIOS/trunk/xios_test_suite/TEST_SUITE/default_param.json	(revision 1905)
+++ /XIOS/trunk/xios_test_suite/TEST_SUITE/default_param.json	(revision 1906)
@@ -2,9 +2,9 @@
 	{
 	    "ATMdomain": "lmdz",
-        "UsingServer2": "true",
-        "RatioServer2": 50,
-        "NumberPoolsServer2": 1,
-        "Duration": "1d",
-        "NumberClients": 4,
+            "UsingServer2": "true",
+            "RatioServer2": 50,
+            "NumberPoolsServer2": 1,
+            "Duration": "1d",
+            "NumberClients": 4,
 	    "NumberServers": 4
 	}
Index: OS/trunk/xios_test_suite/TEST_SUITE/iodef.xml.template
===================================================================
--- /XIOS/trunk/xios_test_suite/TEST_SUITE/iodef.xml.template	(revision 1905)
+++ 	(revision )
@@ -1,67 +1,0 @@
-<?xml version="1.0"?>
-
-<simulation>
-
-  <context id="atm">
-    <variable_definition>
-
-      <variable id="timestep"> 1h </variable>
-      <variable id="domain"> atm::domain </variable>
-      <variable id="domain_mask"> true </variable>
-      <variable id="axis_mask"> false </variable>
-      <variable id="init_field2D"> rank </variable>
-      <variable id="ni"> 36 </variable>
-      <variable id="nj"> 18 </variable>
-      <variable id="nlev"> 10 </variable>
-      <variable id="pressure_factor"> 0.10 </variable>
-      <variable id="mask3d"> false </variable>
-<!--      <variable id="domain_proc_frac">3</variable>
-      <variable id="axis_proc_frac">2</variable>
-      <variable id="axis_proc_n">2</variable>
-      <variable id="ensemble_proc_n">2</variable> -->
-      
-      <variable id="other_domain"> lmdz </variable>
-      <variable id="other_domain_mask"> false </variable>
-      <variable id="other_axis_mask"> false </variable>
-      <variable id="other_init_field2D"> academic </variable>
-      <variable id="other_ni"> 36 </variable>
-      <variable id="other_nj"> 18 </variable>
-      <variable id="other_nlev"> 10 </variable>
-      <variable id="other_pressure_factor"> 0.10 </variable>
-      <variable id="other_mask3d"> false </variable>
-<!--      <variable id="other_domain_proc_frac">3</variable>
-      <variable id="other_axis_proc_frac">2</variable>
-      <variable id="other_axis_proc_n">2</variable>
-      <variable id="other_ensemble_proc_n">2</variable> -->
-      
-    </variable_definition>
-  </context>
-
-
-
-  <context id="atm" src="./context_atm.xml"/>
-  <context id="grid_dynamico" src="./context_grid_dynamico.xml"/>
-  
-  <context id="xios">
-    <variable_definition>
-      <variable_group id="buffer">
-  <variable id="min_buffer_size" type="int">10000000</variable>
-  <variable id="optimal_buffer_size" type="string">performance</variable>
-  <variable id="buffer_factor_size" type="double">0.8</variable> 
-      </variable_group>
-
-      <variable_group id="parameters" >
-        <variable id="using_server" type="bool">true</variable>
-        <variable id="info_level" type="int">100</variable>
-        <variable id="print_file" type="bool">true</variable>
-        <variable id="using_server2" type="bool">xios::usingSrv2</variable>
-        <variable id="ratio_server2" type="int">xios::ratioSrv2</variable>
-        <variable id="number_pools_server2" type="int">xios::nbplSrv2</variable>
-        <variable id="pure_one_sided" type="bool">false</variable>
-        <variable id="check_event_sync" type="bool">true</variable>
-      </variable_group>
-      <variable id="activate_non_distributed_transformation" type="bool">true</variable>
-    </variable_definition>
-  </context>
-
-</simulation>
Index: /XIOS/trunk/xios_test_suite/TEST_SUITE/my_run.sh
===================================================================
--- /XIOS/trunk/xios_test_suite/TEST_SUITE/my_run.sh	(revision 1905)
+++ /XIOS/trunk/xios_test_suite/TEST_SUITE/my_run.sh	(revision 1906)
@@ -15,5 +15,5 @@
 echo "#mode" $mode >> ${fn}
 
-python3 step1.py
+python step1.py
 
 
@@ -50,3 +50,3 @@
 
 
-python3 step2.py
+python step2.py
Index: OS/trunk/xios_test_suite/TEST_SUITE/param_list.py
===================================================================
--- /XIOS/trunk/xios_test_suite/TEST_SUITE/param_list.py	(revision 1905)
+++ 	(revision )
@@ -1,2 +1,0 @@
-param_list = ["ATMdomain", "UsingServer2", "NumberClients", "NumberServers", "RatioServer2", "NumberPoolsServer2", "Duration"]
-param_short_list = ["ATMdom", "UsingSrv2", "NbClients", "NbServers", "RatioSrv2", "NbPlSrv2", "Duration"]
Index: OS/trunk/xios_test_suite/TEST_SUITE/run_sub_test.sh
===================================================================
--- /XIOS/trunk/xios_test_suite/TEST_SUITE/run_sub_test.sh	(revision 1905)
+++ 	(revision )
@@ -1,56 +1,0 @@
-#!/bin/bash
-
-cp ../context_grid_dynamico.xml ./
-cp ../dynamico_grid.nc ./
-cp ../config.py sub_config.py
-cp ../check.py sub_check.py
-# cp ../default_param.py default_param.py
-
-
-{ nb_proc=$(python sub_config.py 2>&1 1>&3-) ;} 3>&1
-
-if [[ ($machine_name == irene) ]]
-then
-    echo "Testing on Irene"
-    echo "build_dir="$build_dir
-    ccc_mprun -n $nb_proc $xios_dir/$build_dir/bin/generic_testcase.exe
-elif [[($machine_name == jeanzay)]]
-then
-    echo "Testing on Jean-Zay" 
-    echo "build_dir="$build_dir
-    srun -n $nb_proc --mpi=pmi2 $xios_dir/$build_dir/bin/generic_testcase.exe
-    if [ $? -ne 0 ]
-        then
-            echo "execution failed"
-            rm -f iodef.xml
-            rm -f user_param.py
-            rm -f default_param.py
-            rm -f sub_config.py
-            rm -f sub_check.py
-            exit 1234
-    fi
-else
-    echo "other machine"
-    exit 1234
-fi
-
-
-{ check_stderr=$(python sub_check.py 2>&1 1>&3-) ;} 3>&1  #captures stderr, letting stdout through
-
-if [[ "$check_stderr" -ne 0 ]]
-then
-    echo "check.py failed"
-    rm -f iodef.xml
-    rm -f user_param.py
-    rm -f default_param.py
-    rm -f sub_config.py
-    rm -f sub_check.py
-    exit 1234
-fi
-
-
-rm -f iodef.xml
-rm -f user_param.py
-rm -f default_param.py
-rm -f sub_config.py
-rm -f sub_check.py
Index: /XIOS/trunk/xios_test_suite/TEST_SUITE/run_test
===================================================================
--- /XIOS/trunk/xios_test_suite/TEST_SUITE/run_test	(revision 1905)
+++ /XIOS/trunk/xios_test_suite/TEST_SUITE/run_test	(revision 1906)
@@ -20,5 +20,5 @@
   CHMOD ${rundir}/test_${xios_machine_name}/test_${svnR}_${xios_machine_name}_${arch}_${mode}.txt
 
-  mkdir -p ${rundir}/def_files ;  CHMOD ${rundir}/RUN/def_files
+  mkdir -p ${rundir}/def_files ;  CHMOD ${rundir}/def_files
   mkdir -p ${rundir}/def_files/${svnR} ;  CHMOD ${rundir}/def_files/${svnR}
 
Index: OS/trunk/xios_test_suite/TEST_SUITE/setup.py
===================================================================
--- /XIOS/trunk/xios_test_suite/TEST_SUITE/setup.py	(revision 1905)
+++ 	(revision )
@@ -1,142 +1,0 @@
-import os
-import sys
-import json
-import itertools
-
-from param_list import *
-
-def getlabel(sub_list_element, level):
-    label=""
-    for l in range(level):
-        label = label+sub_list_element[l]+"_"
-    return label
-
-def MySort(sub_list, level):
-    l=len(sub_list)
-    for i in range(0,l):
-        for j in range(0, l-i-1):
-            if(getlabel(sub_list[j], level) > getlabel(sub_list[j+1], level)):
-                tempo = sub_list[j]
-                sub_list[j]= sub_list[j+1] 
-                sub_list[j+1]= tempo 
-    return sub_list
-
-def main() :
-      
-    param_length = len(param_list)
-    param = [""]*param_length
-    
-    
-    f=open("user_param.json", 'r')
-    config_dict = json.load(f)
-    f.close()
-    
-    f=open("default_param.json", 'r')
-    def_config = json.load(f)
-    f.close()
-        
-    default_config=[""]*param_length
-    f=open("default_param.py", "w")
-    for i in range(param_length):
-        default_config[i] = str(def_config[0][param_list[i]])
-        f.write(param_list[i]+" = "+str(def_config[0][param_list[i]])+"\n")
-    f.close()
-        
-    config_list=[]
-    
-    for config_set in config_dict:
-        sub_list=[]
-        for l in range(param_length):
-            if param_list[l] in config_set:
-                param[l]=config_set[param_list[l]].split(" ")
-                for i in range(len(param[l])) :
-                    param[l][i] = [str(param[l][i])]
-            else :
-                param[l]=['_']
-        
-        for l in range(len(param_list)):
-            if not sub_list:
-                sub_list = list(param[l])
-            else:
-                tmp_sub_list = list(itertools.product(sub_list,list(param[l])))
-                sub_list=[]
-                for i in range(len(tmp_sub_list)):
-                    sub_list.append(list(tmp_sub_list[i]))
-                for i in range(len(sub_list)):
-                    sub_list[i] = list(itertools.chain(*sub_list[i]))
-                
-        for i in range(len(sub_list)):    
-            config_list.append(sub_list[i])
-            
-            
-        param=[""]*param_length
-        
-    config_list=MySort(config_list, param_length)
-    
-    
-    for i in range(len(config_list)):
-        print(config_list[i])
-        
-        
-    full_config_list=[[]]*len(config_list)
-    
-    for i in range(len(config_list)):
-        full_config_list[i] = list(config_list[i])
-        for j in range(param_length):
-            if full_config_list[i][j]=='_':
-                full_config_list[i][j] = default_config[j]
-        # print(full_config_list[i])
-        
-    for i in range(len(config_list)):
-        f=open("user_param.py."+repr(i), "w")
-        for j in range(param_length):
-            if not config_list[i][j] == "_":
-                f.write(param_list[j]+" = "+config_list[i][j]+"\n")
-        f.close()
-    
-    f=open("CMakeLists.txt", "w")
-    f.write("##############################\n")
-    f.write("# file generated by setup.py #\n")
-    f.write("#      DO NOT modify         #\n")
-    f.write("##############################\n\n")
-    f.write("cmake_minimum_required(VERSION 2.8.12.2)\n\n")
-    f.write("project(generic_testcase)\n\n")
-    f.write("find_package(PythonInterp REQUIRED)\n\n")
-    f.write("enable_testing()\n\n")
-    dirpath = os.getcwd()
-    foldername = os.path.basename(os.getcwd())
-    print(foldername)
-    
-    for x in range(len(config_list)):
-    	f.write("add_test( NAME "+foldername+"_config"+repr(x)+'\n')
-        f.write("          COMMAND ${PYTHON_EXECUTABLE}\n")
-        f.write("          ${CMAKE_CURRENT_BINARY_DIR}/run_test_"+repr(x)+".py\n")
-        f.write("          "+foldername+"_config"+repr(x)+")\n\n")
-        f.write("set_tests_properties("+foldername+"_config"+repr(x)+" PROPERTIES\n")
-        f.write("                      FAIL_REGULAR_EXPRESSION \"check.py failed;execution failed;failed;setup.sh failed; machine unknown\")\n\n")
-        
-        g=open("run_test_"+repr(x)+".py", "w")
-        g.write("##############################\n")
-        g.write("# file generated by setup.py #\n")
-        g.write("#      DO NOT modify         #\n")
-        g.write("##############################\n\n")
-        g.write("import os\n")
-        g.write("import sys\n")
-        g.write("import subprocess\n")
-		
-
-        g.write("\ndef main():\n")
-        g.write("	os.system(\'rm -f user_param.py\')\n")
-        g.write("	os.system(\'cp user_param.py."+repr(x)+" user_param.py\')\n")
-        g.write("	os.system(\'./run_sub_test.sh\')\n")
-        g.write("if __name__== \"__main__\":\n")
-        g.write("	main()\n")
-        g.close()
-		 
-    f.close()
-
-if __name__== "__main__":
-  main()
-
-
-
Index: /XIOS/trunk/xios_test_suite/TEST_SUITE/step1.py
===================================================================
--- /XIOS/trunk/xios_test_suite/TEST_SUITE/step1.py	(revision 1905)
+++ /XIOS/trunk/xios_test_suite/TEST_SUITE/step1.py	(revision 1906)
@@ -14,6 +14,8 @@
 machine=os.getenv("xios_machine_name")
 
-nb_proc_irene=20 # this must be >= NumberClients+NumberServers for all configs for all test folders
-nb_proc_jz=36 # this must be >= sum(NumberClients+NumberServers) for each test folder
+nb_proc_irene=40 # this must be >= NumberClients+NumberServers for all configs for all test folders
+nb_proc_jz=40 # to run completly in parallel, this must be set to 40 for the moment
+              # otherwise, jobs should be regrouped by test folder. jobs in folder are parallel, folders are sequential 
+              # in this case,nb_proc_jz >= sum(NumberClients+NumberServers) for each test folder
 
 def OSinfo(runthis):
@@ -45,4 +47,5 @@
             fh.write("# Generated by step1.py\n")
             fh.write("# Called by my_run.sh -> run_test -> run_test_irene\n")
+            fh.write("# For Irene\n")
             fh.write("#====================================================\n")
             fh.write("#MSUB -r XIOS\n")
@@ -68,4 +71,5 @@
             fh.write("# Generated by step1.py\n")
             fh.write("# Called by my_run.sh -> run_test -> run_test_jeanzay\n")
+            fh.write("# For Jean-Zay\n")
             fh.write("#====================================================\n")
             fh.write("#SBATCH --ntasks="+str(n)+"\n")
@@ -78,5 +82,5 @@
             fh.write("cd ${SLURM_SUBMIT_DIR}\n")
             fh.write("source ../../../BUILD/build_"+arch+"_"+mode+"/arch.env\n")
-            fh.write("source $I_MPI_ROOT/intel64/bin/mpivars.sh release_mt")
+            fh.write("source $I_MPI_ROOT/intel64/bin/mpivars.sh release_mt\n")
             fh.write("srun generic_testcase.exe")
 
@@ -144,5 +148,5 @@
 
     test_folder_list = glob.glob('test_*')
-    all_config=dict()
+    #all_config=dict()
 
     default_param = get_default_param()
@@ -213,37 +217,35 @@
                 fh.write("/\n")
 
-            generate_job(test_folder+"/CONFIG_"+mystr+"/job.sh", full_config['NumberClients']+full_config['NumberServers'])
+            generate_job(test_folder+"/CONFIG_"+mystr+"/job_"+arch+"_"+mode+".sh", full_config['NumberClients']+full_config['NumberServers'])
             update_full_job(test_folder+"/CONFIG_"+mystr, full_config['NumberClients']+full_config['NumberServers'])
 
-        #print(config_name)
-        if machine=="jeanzay":
-            with open("full_job_"+arch+"_"+mode+".sh", "a") as fh:
-                fh.write("wait\nwait\n")
-                fh.write("echo \"tests in "+test_folder+" finished\"\n")
-        all_config[test_folder] = config_name
+        #if machine=="jeanzay":
+        #    with open("full_job_"+arch+"_"+mode+".sh", "a") as fh:
+        #        fh.write("wait\nwait\n")
+        #        fh.write("echo \"tests in "+test_folder+" finished\"\n")
+        #all_config[test_folder] = config_name
  
 
     if machine=="irene":
         with open("full_job_"+arch+"_"+mode+".sh", "a") as fh:
-            fh.write("\nfor pid in ${PIDS[@]}; do\n")
-            fh.write("wait ${pid}\n")
-            fh.write("STATUS+=($?)\ndone\n")
-            fh.write("\ni=0\n")
-            fh.write("#for st in ${STATUS[@]}; do\n")
-            fh.write("#if [[ ${st} -ne 0 ]]; then\n")
-            fh.write("#echo \"${CONFIGS[${i}]} -1\" >> ${location}/plain_report.txt\n")
-            fh.write("#else\n")
-            fh.write("#echo \"${CONFIGS[${i}]} 1\" >> ${location}/plain_report.txt\n")
-            fh.write("#fi\n")
-            fh.write("#((i+=1))\n")
-            fh.write("#done\n\n")
-            fh.write("#wait\n")
-            fh.write("date >> ${log_location}/Log.txt\n")
-    if machine=="jeanzay":
-        with open("full_job_"+arch+"_"+mode+".sh", "a") as fh:
-            fh.write("date >> ${log_location}/Log.txt\n")
-
-    
-    #print(all_config)
+            #fh.write("\nfor pid in ${PIDS[@]}; do\n")
+            #fh.write("wait ${pid}\n")
+            #fh.write("STATUS+=($?)\ndone\n")
+            #fh.write("\ni=0\n")
+            #fh.write("#for st in ${STATUS[@]}; do\n")
+            #fh.write("#if [[ ${st} -ne 0 ]]; then\n")
+            #fh.write("#echo \"${CONFIGS[${i}]} -1\" >> ${location}/plain_report.txt\n")
+            #fh.write("#else\n")
+            #fh.write("#echo \"${CONFIGS[${i}]} 1\" >> ${location}/plain_report.txt\n")
+            #fh.write("#fi\n")
+            #fh.write("#((i+=1))\n")
+            #fh.write("#done\n\n")
+            fh.write("wait\nwait\n")
+            fh.write("date >> ${log_location}/Log.txt\n")
+    if machine=="jeanzay":
+        with open("full_job_"+arch+"_"+mode+".sh", "a") as fh:
+            fh.write("wait\nwait\n")
+            fh.write("date >> ${log_location}/Log.txt\n")
+
 
 if __name__== "__main__":
Index: OS/trunk/xios_test_suite/TEST_SUITE/user_config.py
===================================================================
--- /XIOS/trunk/xios_test_suite/TEST_SUITE/user_config.py	(revision 1905)
+++ 	(revision )
@@ -1,50 +1,0 @@
-import os
-import sys
-import subprocess
-
-def main():
-
-
-	dirpath = os.getcwd()
-	my_list = os.listdir(dirpath)
-
-	test_list=[]
-	for folder in my_list:
-		if folder.startswith("test_"):
-			test_list.append(folder)
-	FNULL = open(os.devnull, 'w')
-	retcode = subprocess.call(['bash', 'setup.sh'], stdout=FNULL, stderr=subprocess.STDOUT)
-	if retcode!=0:	
-		print("setup.sh failed")
-		print >> sys.stderr, retcode
-		sys.exit()
-	
-
-	f=open("CMakeLists.txt", "w")
-
-	f.write("####################################\n")
-	f.write("# file generated by user_config.py #\n")
-	f.write("#      DO NOT modify               #\n")
-	f.write("####################################\n\n")
-	
-	f.write("cmake_minimum_required(VERSION 2.8.12.2)\n\n")
-	f.write("project(generic_testcase)\n\n")
-	f.write("enable_testing()\n\n")
-
-	for x in range(len(test_list)):
-		f.write("add_subdirectory(" + test_list[x]+ ")\n")
-
-	f.write("\n")
-	f.write("add_custom_target(\"report\")\n\n")
-	f.write("add_custom_command(TARGET \"report\" \n")
-	f.write("                   POST_BUILD\n")
-	f.write("                   COMMAND rm -f report.txt\n")
-	f.write("                   COMMAND rm -f report.html\n")
-	f.write("                   )\n\n")
-	f.close
-	
-	print >> sys.stderr, 0
-	sys.exit()
-
-if __name__== "__main__":
-  main()